/*
 *  Project-06
 * 
 *  Author: M. Reza Mozaffari
 *  Physics Group, University of Qom
 *  Created on: Jan. 2021
 */
 
#include <iostream>
#include <cstdio>

using namespace std;

#include "vector_2D.h"
#include "matrix_2D.h"

int main()
{
    cout << "---Vector\n";
    V2D v1 {{1., 2.}};
    print(v1);
    V2D v2 {{3., 4.}};
    print(v2);
    print(add(v1, v2));

    cout << "\n\n---Matrix\n";
    M2D m1 { {{1., 2.}, {3., 4.}} };
    print(m1);
     M2D m2 { {{2., 3.}, {4., 1.}} };
    print(m2); 
    print(add(m1, m2));
    
    cout << "\n\n---Matrix and Vector product!\n";
    print(multi(m1, v1));
    
	printf("\n\nThe End!\n");
	return 0;
}
