/*
 *  matrix_2D.h
 *
 *  Author: M. Reza Mozaffari
 *  Physics Group, University of Qom
 *  Created on: Jan. 2021
 */

#ifndef Matrix_2D_
#define Matrix_2D_

#include "vector_2D.h"

struct M2D {
    double x[ndim][ndim];
};

void print(M2D);
void copy(M2D, M2D&);
M2D add(M2D, M2D);
M2D sub(M2D, M2D);
M2D scale(M2D, double);
V2D multi(M2D, V2D);
M2D multi(M2D, M2D);

#endif // Matrix_2D_